---
lang: en
title: 'API docs: context.contextviewevent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contextviewevent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextViewEvent](./context.contextviewevent.md)

## ContextViewEvent interface

An event emitted by a `ContextView`

**Signature:**

```typescript
export interface ContextViewEvent<T> extends ContextEvent 
```
**Extends:** [ContextEvent](./context.contextevent.md)

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [cachedValue?](./context.contextviewevent.cachedvalue.md) |  | T | _(Optional)_ Optional cached value for an <code>unbind</code> event |


